PROGRAM zmeic;

DEVICE = MEGA32;

{$I mega32_Register.INC}





CONST

 // TaktFrequenz in KHz
  TaktFrequenz : Word = 14746;
  UBRR_VAL : Byte = 7;  // 115200 Baud
//  UBRR_VAL : Byte = 3;  // 230400 Baud
//  UBRR_VAL : Byte = 15;  // 57600 Baud
//  UBRR_VAL : Byte = 95;  // 9600 Baud



  nul  : Byte = $00;
  xon  : Byte = $11;
  xoff : Byte = $13;



VAR



  LED_Gruen_A[PortD,1]: bit; // A / H
  LED_Gruen_D[DDRD,1] : bit; // A / H
  LED_Gelb_R_A[PortD,3] : bit; // A / H
  LED_Gelb_R_D[DDRD,3]  : bit; // A / H
  LED_Gelb_L_A[PortB,4] : bit; // A / H
  LED_Gelb_L_D[DDRB,4]  : bit; // A / H



{$I SYSTEM.INC}






BEGIN


  SetBit(LED_Gruen_D);
  SetBit(LED_Gelb_R_D);
  SetBit(LED_Gelb_L_D);




  loop

    SetBit(LED_Gruen_A);
    SetBit(LED_Gelb_R_A);
    SetBit(LED_Gelb_L_A);

    wait_ms(500);

    ClearBit(LED_Gruen_A);
    ClearBit(LED_Gelb_R_A);
    ClearBit(LED_Gelb_L_A);

    wait_ms(500);

  endloop;






END zmeic.

